Package edu.msu.cme.rdp.classifier.train.validation.crossvalidate

# Class RdmSelectTaxon

java.lang.Object
edu.msu.cme.rdp.classifier.train.validation.crossvalidate.RdmSelectTaxon

public class RdmSelectTaxon extends Object

## Constructor Summary

Constructors
Constructor
Description
`RdmSelectTaxon()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
`static Set<String>`
`randomSelectTaxon(File tax_file, File source_file, float fraction, String rank)`
Random select taxa at given rank, and return all the sequence IDs assigned to the selected taxa.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RdmSelectTaxon

public RdmSelectTaxon()

## Method Details

### randomSelectTaxon

public static Set<String> randomSelectTaxon(File tax_file, File source_file, float fraction, String rank) throws IOException
Random select taxa at given rank, and return all the sequence IDs assigned to the selected taxa.

Parameters:
  `tax_file` -
  `source_file` -
  `fraction` -
  `rank` -
Returns:
Throws:
  `IOException`

### main

public static void main(String[] args) throws Exception

Throws:
  `Exception`